/* missing-math.h                                    -*- C -*- */
/*

Copyright (C) 1992, 1993, 1994, 1995 John W. Eaton

This file is part of Octave.

Octave is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Octave is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Octave; see the file COPYING.  If not, write to the Free
Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#if !defined (octave_missing_math_h)
#define octave_missing_math_h 1

// Provide declarations for these whether they are actually missing or
// not, because they are not part of the standard math.h, and the
// g++/libg++ installation no longer provides declarations for them.

extern "C"
{
extern double acosh ();
extern double asinh ();
#ifndef __amigaos__	/* Conflicts with <math.h> */
extern double const atanh ();
#endif
extern double erf ();
extern double erfc ();
extern double lgamma ();
extern double gamma ();
}

#endif
